
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/raid5.c     |    3 +--
 drivers/md/raid6main.c |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/md/raid5.c~drivers-md-fix-up-schedule_timeout-usage drivers/md/raid5.c
--- 25/drivers/md/raid5.c~drivers-md-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:59 2005
+++ 25-akpm/drivers/md/raid5.c	Wed Aug 17 17:00:59 2005
@@ -1522,8 +1522,7 @@ static sector_t sync_request(mddev_t *md
 		/* make sure we don't swamp the stripe cache if someone else
 		 * is trying to get access 
 		 */
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(1);
+		schedule_timeout_uninterruptible(1);
 	}
 	spin_lock(&sh->lock);	
 	set_bit(STRIPE_SYNCING, &sh->state);
diff -puN drivers/md/raid6main.c~drivers-md-fix-up-schedule_timeout-usage drivers/md/raid6main.c
--- 25/drivers/md/raid6main.c~drivers-md-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:59 2005
+++ 25-akpm/drivers/md/raid6main.c	Wed Aug 17 17:00:59 2005
@@ -1681,8 +1681,7 @@ static sector_t sync_request(mddev_t *md
 		/* make sure we don't swamp the stripe cache if someone else
 		 * is trying to get access
 		 */
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(1);
+		schedule_timeout_uninterruptible(1);
 	}
 	spin_lock(&sh->lock);
 	set_bit(STRIPE_SYNCING, &sh->state);
_
